Care Team

A care team is a group of organization members that are working together to provide care to a patient.

GET/v2/fhir/CareTeam

List all care teams

Returns a list of all care teams. Pass attributes to filter the list of care teams based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

  • Name
    status
    Type
    string
    Description

    Status to filter by.

Request

GET
/v2/fhir/CareTeam
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/CareTeam?patient=user_Z1zXZKvqrpwxbznuW6lJ&status=active" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/CareTeam/example-care-team-proposed",
            "resource": {
              "resourceType": "CareTeam",
              "id": "example-care-team-proposed",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-careteam|7.0.0"
                ]
              },
              "text": {
                "status": "generated",
                "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative: CareTeam</b><a name=\"example\"> </a><a name=\"hcexample\"> </a></p><div style=\"display: inline-block; background-color: #d9e0e7; padding: 6px; margin: 4px; border: 1px solid #8da1b4; border-radius: 5px; line-height: 60%\"><p style=\"margin-bottom: 0px\">Resource CareTeam &quot;example&quot; </p><p style=\"margin-bottom: 0px\">Profile: <a href=\"StructureDefinition-us-core-careteam.html\">US Core CareTeam Profile (version 7.0.0)</a></p></div><p><b>status</b>: active</p><p><b>name</b>: US-Core example CareTeam</p><p><b>subject</b>: <a href=\"Patient-example.html\">Patient/example: Amy V. Shaw</a> &quot; SHAW&quot;</p><blockquote><p><b>participant</b></p><p><b>role</b>: Cardiologist <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://browser.ihtsdotools.org/\">SNOMED CT[US]</a>#17561000)</span></p><p><b>member</b>: <a href=\"Practitioner-practitioner-1.html\">Practitioner/practitioner-1: Ronald Bone, MD</a> &quot; BONE&quot;</p></blockquote><blockquote><p><b>participant</b></p><p><b>role</b>: Primary care provider <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://browser.ihtsdotools.org/\">SNOMED CT[US]</a>#453231000124104)</span></p><p><b>member</b>: <a href=\"Practitioner-practitioner-1.html\">Practitioner/practitioner-1: Kathy Fielding, MD</a> &quot; KATHY&quot;</p></blockquote><blockquote><p><b>participant</b></p><p><b>role</b>: Patient (person) <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://browser.ihtsdotools.org/\">SNOMED CT[US]</a>#116154003)</span></p><p><b>member</b>: <a href=\"Patient-example.html\">Patient/example: Amy V. Shaw</a> &quot; SHAW&quot;</p></blockquote><blockquote><p><b>participant</b></p><p><b>role</b>: Caregiver (person) <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://browser.ihtsdotools.org/\">SNOMED CT[US]</a>#133932002)</span></p><p><b>member</b>: <a href=\"RelatedPerson-shaw-niece.html\">RelatedPerson/shaw-niece: Sarah van Putten</a> &quot; VAN PUTTEN&quot;</p></blockquote></div>"
              },
              "status": "proposed",
              "name": "US-Core example CareTeam",
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "display": "Amy Shaw"
              },
              "participant": [
                {
                  "role": [
                    {
                      "coding": [
                        {
                          "system": "http://snomed.info/sct",
                          "version": "http://snomed.info/sct/731000124108",
                          "code": "17561000",
                          "display": "Cardiologist"
                        }
                      ]
                    }
                  ],
                  "member": {
                    "reference": "Practitioner/practitioner-1",
                    "display": "Ronald Bone, MD"
                  }
                },
                {
                  "role": [
                    {
                      "coding": [
                        {
                          "system": "http://snomed.info/sct",
                          "version": "http://snomed.info/sct/731000124108",
                          "code": "394730007",
                          "display": "Healthcare related organization"
                        }
                      ]
                    }
                  ],
                  "member": {
                    "reference": "Organization/avon-health",
                    "display": "Avon Health"
                  }
                },
                {
                  "role": [
                    {
                      "coding": [
                        {
                          "system": "http://snomed.info/sct",
                          "version": "http://snomed.info/sct/731000124108",
                          "code": "453231000124104",
                          "display": "Primary care provider"
                        }
                      ]
                    }
                  ],
                  "member": {
                    "reference": "Practitioner/practitioner-1",
                    "display": "Kathy Fielding, MD"
                  }
                },
                {
                  "role": [
                    {
                      "coding": [
                        {
                          "system": "http://snomed.info/sct",
                          "version": "http://snomed.info/sct/731000124108",
                          "code": "116154003",
                          "display": "Patient (person)"
                        }
                      ]
                    }
                  ],
                  "member": {
                    "reference": "Patient/example",
                    "display": "Amy V. Shaw"
                  }
                },
                {
                  "role": [
                    {
                      "coding": [
                        {
                          "system": "http://snomed.info/sct",
                          "version": "http://snomed.info/sct/731000124108",
                          "code": "133932002",
                          "display": "Caregiver (person)"
                        }
                      ]
                    }
                  ],
                  "member": {
                    "reference": "RelatedPerson/shaw-niece",
                    "display": "Sarah van Putten"
                  }
                }
              ]
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }